Create a private account and receive remittance
Base URL not set in the spec · operationId createPrivateAccount
Authorization
The spec does not declare an authentication scheme for this endpoint.
Request body application/json · required
mgi_transaction_session_id string reference string amount string currency string country string state string city string address string zip_code string phone_country_code string phone string photo_id_country string photo_id_type string photo_id_number string birth_country string date_of_birth string (date) occupation string purpose_of_transaction string relationship_to_sender string intended_use string id_state string gender string id_expiration_year string operator_name string id_issue_year string Responses
200 Remittance received successfully application/json
status string mgi_transaction_session_id string ready_for_commit boolean This request is in the Monato · Remittances Postman collection.Download collection
Request
curl -X POST "$BASE_URL/v2/remittances/receive" \
-H "Content-Type: application/json" \
-d '{
"mgi_transaction_session_id": "4200922151E1743120525540",
"reference": "23033104",
"amount": "1596.00",
"currency": "MXN",
"country": "MEX",
"state": "DF",
"city": "Miguel Hidalgo",
"address": "Avenida Queretaro",
"zip_code": "11590",
"phone_country_code": "52",
"phone": "5641663028",
"photo_id_country": "MEX",
"photo_id_type": "GOV",
"photo_id_number": "2686505909",
"birth_country": "MEX",
"date_of_birth": "1991-01-20",
"occupation": "EDUCATION",
"purpose_of_transaction": "PERSONAL_USE",
"relationship_to_sender": "FAMILY",
"intended_use": "FAMILY_FRIENDS_SUPPORT",
"id_state": "DF",
"gender": "MALE",
"id_expiration_year": "2033",
"operator_name": "Daniel",
"id_issue_year": "2023"
}'const body = JSON.stringify({
"mgi_transaction_session_id": "4200922151E1743120525540",
"reference": "23033104",
"amount": "1596.00",
"currency": "MXN",
"country": "MEX",
"state": "DF",
"city": "Miguel Hidalgo",
"address": "Avenida Queretaro",
"zip_code": "11590",
"phone_country_code": "52",
"phone": "5641663028",
"photo_id_country": "MEX",
"photo_id_type": "GOV",
"photo_id_number": "2686505909",
"birth_country": "MEX",
"date_of_birth": "1991-01-20",
"occupation": "EDUCATION",
"purpose_of_transaction": "PERSONAL_USE",
"relationship_to_sender": "FAMILY",
"intended_use": "FAMILY_FRIENDS_SUPPORT",
"id_state": "DF",
"gender": "MALE",
"id_expiration_year": "2033",
"operator_name": "Daniel",
"id_issue_year": "2023"
});
const res = await fetch(`${BASE_URL}/v2/remittances/receive`, {
method: "POST",
headers: {
"Content-Type": "application/json",
},
body,
});
const data = await res.json();import requests
payload = {
"mgi_transaction_session_id": "4200922151E1743120525540",
"reference": "23033104",
"amount": "1596.00",
"currency": "MXN",
"country": "MEX",
"state": "DF",
"city": "Miguel Hidalgo",
"address": "Avenida Queretaro",
"zip_code": "11590",
"phone_country_code": "52",
"phone": "5641663028",
"photo_id_country": "MEX",
"photo_id_type": "GOV",
"photo_id_number": "2686505909",
"birth_country": "MEX",
"date_of_birth": "1991-01-20",
"occupation": "EDUCATION",
"purpose_of_transaction": "PERSONAL_USE",
"relationship_to_sender": "FAMILY",
"intended_use": "FAMILY_FRIENDS_SUPPORT",
"id_state": "DF",
"gender": "MALE",
"id_expiration_year": "2033",
"operator_name": "Daniel",
"id_issue_year": "2023"
}
res = requests.post(
f"{BASE_URL}/v2/remittances/receive",
headers={
"Content-Type": "application/json",
},
json=payload,
)
data = res.json()Response
Response 200
{
"status": "available",
"mgi_transaction_session_id": "4200922151E1743121957877",
"ready_for_commit": true
}